setlocale-1.0.0.3: Haskell bindings to setlocale

Safe Haskell | Safe
Language | Haskell2010

System.Locale.SetLocale

# Documentation

data Category Source

Constructors

LC_ALL |
LC_COLLATE |
LC_CTYPE |
LC_MESSAGES |
LC_MONETARY |
LC_NUMERIC |
LC_TIME |

Instances

Bounded Category Source |
Enum Category Source |
Eq Category Source |
Ord Category Source |
Read Category Source |
Show Category Source |

categoryToCInt :: Category -> CInt Source

setLocale :: Category -> Maybe String -> IO (Maybe String) Source